CompressEnable (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum CompressEnable

- java.lang.Object
- - java.lang.Enum<CompressEnable>
  - - tv.amwa.maj.enumeration.CompressEnable

- All Implemented Interfaces:
    Serializable, Comparable<CompressEnable>, MediaEnumerationValue

      public enum CompressEnable
      extends Enum<CompressEnable>
      implements MediaEnumerationValue

  Specifies whether compression or decompression should be enabled for an operation on essence.

  Original C name: `aafCompressEnable_e`

  See Also:
    `MaterialPackage`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Disable` Compression or decompression disabled.
    `Enable` Compression or decompression enabled.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static CompressEnable` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CompressEnable[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### Enable

          public static final CompressEnable Enable

      Compression or decompression enabled.

    - #### Disable

          public static final CompressEnable Disable

      Compression or decompression disabled.

  - ### Method Detail

    - #### values

          public static CompressEnable[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CompressEnable c : CompressEnable.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CompressEnable valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.